RDKit: RDKit::FragCatalogEntry Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::FragCatalogEntry Class Reference

`#include <FragCatalogEntry.h>`

Inheritance diagram for RDKit::FragCatalogEntry:

## Public Member Functions
| FragCatalogEntry ()
| FragCatalogEntry (const ROMol *omol, const PATH_TYPE &path, const MatchVectType &aidToFid)
| FragCatalogEntry (const std::string &pickle)
| ~FragCatalogEntry () override
std::string | getDescription () const override
| returns a text description of this entry
void | setDescription (const std::string &val)
void | setDescription (const FragCatParams *params)
bool | match (const FragCatalogEntry *other, double tol) const
Subgraphs::DiscrimTuple | getDiscrims () const
unsigned int | getOrder () const
const INT_INT_VECT_MAP & | getFuncGroupMap () const
std::string | getSmarts ()
template<typename T>
void | setProp (const char *key, T &val) const
template<typename T>
void | setProp (const std::string &key, T &val) const
void | setProp (const char *key, int val) const
void | setProp (const std::string &key, int val) const
void | setProp (const char *key, float val) const
void | setProp (const std::string &key, float val) const
void | setProp (const std::string &key, std::string &val) const
template<typename T>
void | getProp (const char *key, T &res) const
template<typename T>
void | getProp (const std::string &key, T &res) const
bool | hasProp (const char *key) const
bool | hasProp (const std::string &key) const
void | clearProp (const char *key) const
void | clearProp (const std::string &key) const
void | toStream (std::ostream &ss) const override
| serializes (pickles) to a stream
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle
void | initFromString (const std::string &text) override
| initializes from a string pickle
Public Member Functions inherited from RDCatalog::CatalogEntry
virtual | ~CatalogEntry ()=0
void | setBitId (int bid)
| sets our bit Id
int | getBitId () const
| returns our bit Id

## Detailed Description

Definition at line 27 of file FragCatalogEntry.h.

## Constructor & Destructor Documentation

## ◆ FragCatalogEntry() [1/3]

RDKit::FragCatalogEntry::FragCatalogEntry | ( |  | ) |
| inline

Definition at line 30 of file FragCatalogEntry.h.

References RDCatalog::CatalogEntry::setBitId().

Referenced by match().

## ◆ FragCatalogEntry() [2/3]

RDKit::FragCatalogEntry::FragCatalogEntry | ( | const ROMol * | omol,
|  | const PATH_TYPE & | path,
|  | const MatchVectType & | aidToFid )

## ◆ FragCatalogEntry() [3/3]

RDKit::FragCatalogEntry::FragCatalogEntry | ( | const std::string & | pickle | ) |

## ◆ ~FragCatalogEntry()

RDKit::FragCatalogEntry::~FragCatalogEntry | ( |  | ) |
| inlineoverride

Definition at line 39 of file FragCatalogEntry.h.

## Member Function Documentation

## ◆ clearProp() [1/2]

void RDKit::FragCatalogEntry::clearProp | ( | const char * | key | ) | const
| inline

Definition at line 112 of file FragCatalogEntry.h.

## ◆ clearProp() [2/2]

void RDKit::FragCatalogEntry::clearProp | ( | const std::string & | key | ) | const
| inline

Definition at line 114 of file FragCatalogEntry.h.

References clearProp().

Referenced by clearProp().

## ◆ getDescription()

std::string RDKit::FragCatalogEntry::getDescription | ( |  | ) | const
| inlineoverridevirtual

returns a text description of this entry

Implements RDCatalog::CatalogEntry.

Definition at line 48 of file FragCatalogEntry.h.

## ◆ getDiscrims()

Subgraphs::DiscrimTuple RDKit::FragCatalogEntry::getDiscrims | ( |  | ) | const

## ◆ getFuncGroupMap()

const INT_INT_VECT_MAP & RDKit::FragCatalogEntry::getFuncGroupMap | ( |  | ) | const
| inline

Definition at line 63 of file FragCatalogEntry.h.

## ◆ getOrder()

unsigned int RDKit::FragCatalogEntry::getOrder | ( |  | ) | const
| inline

Definition at line 61 of file FragCatalogEntry.h.

## ◆ getProp() [1/2]

template<typename T>

void RDKit::FragCatalogEntry::getProp | ( | const char * | key,
|  | T & | res ) const
| inline

Definition at line 96 of file FragCatalogEntry.h.

Referenced by getProp().

## ◆ getProp() [2/2]

template<typename T>

void RDKit::FragCatalogEntry::getProp | ( | const std::string & | key,
|  | T & | res ) const
| inline

Definition at line 100 of file FragCatalogEntry.h.

References getProp().

## ◆ getSmarts()

std::string RDKit::FragCatalogEntry::getSmarts | ( |  | ) |
| inline

Definition at line 66 of file FragCatalogEntry.h.

## ◆ hasProp() [1/2]

bool RDKit::FragCatalogEntry::hasProp | ( | const char * | key | ) | const
| inline

Definition at line 104 of file FragCatalogEntry.h.

## ◆ hasProp() [2/2]

bool RDKit::FragCatalogEntry::hasProp | ( | const std::string & | key | ) | const
| inline

Definition at line 110 of file FragCatalogEntry.h.

References hasProp().

Referenced by hasProp().

## ◆ initFromStream()

void RDKit::FragCatalogEntry::initFromStream | ( | std::istream & | ss | ) |
| overridevirtual

initializes from a stream pickle

Implements RDCatalog::CatalogEntry.

## ◆ initFromString()

void RDKit::FragCatalogEntry::initFromString | ( | const std::string & | text | ) |
| overridevirtual

initializes from a string pickle

Implements RDCatalog::CatalogEntry.

## ◆ match()

bool RDKit::FragCatalogEntry::match | ( | const FragCatalogEntry * | other,
|  | double | tol ) const

References FragCatalogEntry().

## ◆ Serialize()

std::string RDKit::FragCatalogEntry::Serialize | ( |  | ) | const
| overridevirtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogEntry.

## ◆ setDescription() [1/2]

void RDKit::FragCatalogEntry::setDescription | ( | const FragCatParams * | params | ) |

## ◆ setDescription() [2/2]

void RDKit::FragCatalogEntry::setDescription | ( | const std::string & | val | ) |
| inline

Definition at line 50 of file FragCatalogEntry.h.

## ◆ setProp() [1/7]

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | float | val ) const
| inline

Definition at line 85 of file FragCatalogEntry.h.

## ◆ setProp() [2/7]

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | int | val ) const
| inline

Definition at line 79 of file FragCatalogEntry.h.

## ◆ setProp() [3/7]

template<typename T>

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | T & | val ) const
| inline

Definition at line 70 of file FragCatalogEntry.h.

Referenced by setProp(), setProp(), setProp(), and setProp().

## ◆ setProp() [4/7]

void RDKit::FragCatalogEntry::setProp | ( | const std::string & | key,
|  | float | val ) const
| inline

Definition at line 87 of file FragCatalogEntry.h.

References setProp().

## ◆ setProp() [5/7]

void RDKit::FragCatalogEntry::setProp | ( | const std::string & | key,
|  | int | val ) const
| inline

Definition at line 81 of file FragCatalogEntry.h.

References setProp().

## ◆ setProp() [6/7]

void RDKit::FragCatalogEntry::setProp | ( | const std::string & | key,
|  | std::string & | val ) const
| inline

Definition at line 91 of file FragCatalogEntry.h.

References setProp().

## ◆ setProp() [7/7]

template<typename T>

void RDKit::FragCatalogEntry::setProp | ( | const std::string & | key,
|  | T & | val ) const
| inline

Definition at line 75 of file FragCatalogEntry.h.

References setProp().

## ◆ toStream()

void RDKit::FragCatalogEntry::toStream | ( | std::ostream & | ss | ) | const
| overridevirtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogEntry.

The documentation for this class was generated from the following file:

- FragCatalogEntry.h